package com.ruoyi.ibs.grid.service;

import com.ruoyi.ibs.grid.domain.entity.AdminDivision;
import com.ruoyi.ibs.grid.domain.vo.AddressTreeVO;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2024/9/13
 **/
public interface SysAddressService {

    void initGeoData();

    void initSHGeoData();

    List<AddressTreeVO> getFullAddressTreeByCache(String code, List<String> selectedRegionCodes);

    AddressTreeVO getFullAddressTree();

    List<AddressTreeVO> getAddressTreeByCode(String code);

    List<String> getNextLevelRegionCode(String code);

    AdminDivision getAdminDivisionByCode(String code);

    String getRegionCodeByDept();

}
